import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { DeleteWebhookInput, DeleteWebhookOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteWebhookCommandInput extends DeleteWebhookInput {}
export interface DeleteWebhookCommandOutput
  extends DeleteWebhookOutput,
    __MetadataBearer {}
declare const DeleteWebhookCommand_base: {
  new (
    input: DeleteWebhookCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteWebhookCommandInput,
    DeleteWebhookCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteWebhookCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteWebhookCommandInput,
    DeleteWebhookCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteWebhookCommand extends DeleteWebhookCommand_base {}
