import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { PutWebhookInput, PutWebhookOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PutWebhookCommandInput extends PutWebhookInput {}
export interface PutWebhookCommandOutput
  extends PutWebhookOutput,
    __MetadataBearer {}
declare const PutWebhookCommand_base: {
  new (
    input: PutWebhookCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutWebhookCommandInput,
    PutWebhookCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PutWebhookCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutWebhookCommandInput,
    PutWebhookCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutWebhookCommand extends PutWebhookCommand_base {}
