import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  RetryStageExecutionInput,
  RetryStageExecutionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface RetryStageExecutionCommandInput
  extends RetryStageExecutionInput {}
export interface RetryStageExecutionCommandOutput
  extends RetryStageExecutionOutput,
    __MetadataBearer {}
declare const RetryStageExecutionCommand_base: {
  new (
    input: RetryStageExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RetryStageExecutionCommandInput,
    RetryStageExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: RetryStageExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RetryStageExecutionCommandInput,
    RetryStageExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RetryStageExecutionCommand extends RetryStageExecutionCommand_base {}
