import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { CreatePipelineInput, CreatePipelineOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreatePipelineCommandInput extends CreatePipelineInput {}
export interface CreatePipelineCommandOutput
  extends CreatePipelineOutput,
    __MetadataBearer {}
declare const CreatePipelineCommand_base: {
  new (
    input: CreatePipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreatePipelineCommandInput,
    CreatePipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreatePipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreatePipelineCommandInput,
    CreatePipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreatePipelineCommand extends CreatePipelineCommand_base {}
