import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { UpdatePipelineInput, UpdatePipelineOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface UpdatePipelineCommandInput extends UpdatePipelineInput {}
export interface UpdatePipelineCommandOutput
  extends UpdatePipelineOutput,
    __MetadataBearer {}
declare const UpdatePipelineCommand_base: {
  new (
    input: UpdatePipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdatePipelineCommandInput,
    UpdatePipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdatePipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdatePipelineCommandInput,
    UpdatePipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdatePipelineCommand extends UpdatePipelineCommand_base {}
